Get User Group
Retrieves information of a specified user group.
Required Permissions
Requires the MEMBER role or higher.
HTTP Request
GET /api/sonar/user-groups/:guid
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
https://HOSTNAME/api/sonar/user-groups/28c1251b-2f7c-4c58-95a1-fc4a1ead877e
Request Parameter
| Key | Required | Type | Description | Note |
|---|---|---|---|---|
| guid | O | String | User group GUID | 36 characters |
Success Response
{
"user_group": {
"company_guid": "6fbe27b7-f1ae-4d7a-a1a5-76d8fa9aa311",
"company_name": "Logpresso",
"guid": "28c1251b-2f7c-4c58-95a1-fc4a1ead877e",
"name": "Cyber Security",
"description": "",
"owner_guid": "ffaf431b-653a-4329-8f83-913cbb00342d",
"owner_name": "Yang",
"user_guids": ["ffaf431b-653a-4329-8f83-913cbb00342d"],
"created": "2022-09-01 01:08:00+0900",
"updated": "2022-09-01 01:08:00+0900"
}
}
- total_count (32-bit integer): Total number of the user groups that match the search keyword
- groups (Array): User group list
- company_guid (String): Company (tenant) GUID
- company_name (String): Company (tenant) name
- guid (String): User group GUID
- name (String): User group name
- description (String): Description
- owner_guid (String): GUID of the user who creates the user group
- owner_name (String): Name of the user who creates the user group
- user_guids (Array): List of the GUIDs for users in the user group
- created (String): Date and time of creation (
yyyy-MM-dd HH:mm:ssZ) - updated (String): Date and time of last modification (
yyyy-MM-dd HH:mm:ssZ)
Error Responses
Identifier is not in valid GUID format
HTTP status code 400
{
"error_code": "invalid-param-type",
"error_msg": "guid should be guid type."
}
User group cannot be retrieved
HTTP status code 200
{
"user_group": null
}